 /* ************************* */
 /* HOMEPAGE************** */
 /* ************************* */

 .row>*{
    padding-right: calc(var(--bs-gutter-x) * .5);
    padding-left: calc(var(--bs-gutter-x) * .5);
 }

 
 .mySwiper .swiper,
 .produtos-personalizaveis, .artigos-relacionados, .bannerCentral, .row-slider, .ultimas-noticias {
     margin-bottom: 100px;
 }

 .mySwiper .swiper-slide {
     width: min(1320px, calc(100vw - 48px)) !important;
     border-radius: 16px;
     overflow: hidden;
     height: 600px;
 }

 .mySwiper .swiper-wrapper {
     align-items: center;
 }

 .mySwiper .swiper-slide img {
     display: block;
     width: 100%;
     height: 100%;
     object-fit: cover;
 }

 .mySwiper .card-vintiun {
     background-color: white;
     border-radius: 16px;
     padding: 36px;
     position: absolute;
     z-index: 100;
     bottom: 12px;
     left: 12px;
     max-width: 34%;
 }

 .vintiun-btn .btn-outline,
 .produtos-personalizaveis-grid .btn-outline {
     color: var(--color-dark-grey);
     width: 100% !important;
     max-width: 100%;
 }

 .vintiun-btn .btn-outline:hover,
 .produtos-personalizaveis-grid:hover .btn-outline:hover {
     color: white;
 }


 .personalizado-card {
    background-color: var(--color-light-grey);
    border-radius: 16px;
    padding: 10px;
    min-height: 160px;
    position: relative;
 }

 .personalizado-card .card-category {
     color: var(--color-tertiary-light-grey);
     transition: color 0.3s ease;
     margin-top: 20px;
     width: 40%;
     margin-right: -42px;
 }

 .personalizado-card:hover {
     background-color: white;
     box-shadow: 0px 0px 12px 0px #737b7d40;
 }

 .personalizado-card:hover .card-category {
     color: #185da7;
     width: 40%;
 }

 .personalizado-card:hover .personalizado-card-img img {
     height: 132px;
 }

 .personalizado-card-img img {
     height: 140px;
     width: auto;
     transition: height 0.4s cubic-bezier(0.25, 1, 0.5, 1);
     transform-origin: bottom right;
 }

 .produtos-personalizaveis-grid .row+.row {
     margin-top: 20px;
 }

 .mySwiperBannerCentral {
     border-radius: 16px;
     padding: 0;
 }

 #mySwiperBannerCentral .swiper {
     width: 100%;
     height: 100%;
 }

 #mySwiperBannerCentral .swiper-slide {
     text-align: center;
     font-size: 18px;
     background: #444;
     display: flex;
     justify-content: center;
     align-items: center;
 }

 #mySwiperBannerCentral .swiper-slide img {
     display: block;
     width: 100%;
     height: 100%;
     object-fit: cover;
 }

.mySwiperBannerCentral .swiper-slide {
    width: 100% !important;
    height: 440px;
}

 #mySwiperBannerCentral .swiper-slide {
     height: 440px;
 }



 .ultimas-noticias {
     min-height: 550px;
 }


 .noticia-card {
     height: 440px;
 }

 .noticia-card {
     height: 440px;
     position: relative;
     border-radius: 16px;
     z-index: 2;
 }

 .noticia-card img {
     object-fit: cover;
     width: 100%;
     height: 100%;

     transition: transform 0.5s cubic-bezier(0.25, 1, 0.5, 1);
     transform-origin: center center;
     border-radius: 16px;
 }

 .noticia-card:hover img {
     transform: scale(1.05);
 }

 .noticia-title {
     position: absolute;
     left: 0;
     right: 0;
     top: 100%;

     margin-top: 24px;

     color: #000;

     opacity: 0;
     transform: translateY(-100%);
     /* escondido acima, atrás do cartão */
     transition: transform 0.4s ease, opacity 0.3s ease;

     z-index: 1;

 }

 .noticia-card:hover .noticia-title {
     opacity: 1;
     transform: translateY(0);
     /* desliza para a posição final */
 }

 .ver-noticia-btn {
     background-color: var(--color-blue);
     color: white;
     position: absolute;
     border-radius: 42px;
     bottom: 16px;
     right: 16px;
     padding: 4px 16px;

     display: inline-flex;
     align-items: center;
     justify-content: center;

     opacity: 0;
     pointer-events: none;
     transition: opacity 0.3s ease;
 }

 .noticia-card:hover .ver-noticia-btn {
     opacity: 1;
     pointer-events: auto;
 }

 /* .artigos-relacionados{
    width: calc(100% + 88px + 88px);
    margin-left: -88px;
 } */

 /* .banner-card-container{
    padding: 0;
 } */


 footer {
     padding: 68px 0 28px !important;
 }


 .mySwiperBrands{
    height: 194px;
    margin-bottom: 100px;
 }

.mySwiperBrands .swiper-slide {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    width: 140px !important;
    height: 140px;
   
}

.mySwiperBrands .swiper-slide img {
     width: 100%;
    height: 82px;      
    object-fit: contain; 
}


 @media (max-width: 992px) {

     /* ************************* */
     /* HOMEPAGE************** */
     /* ************************* */

    .mySwiper .swiper,
    .produtos-personalizaveis, .artigos-relacionados, .bannerCentral, .row-slider {
        margin-bottom: 80px;
    }

    .artigos-relacionados{
        width: 100vw;
    }

     .artigos-relacionados .swiper-button-prev{
        left: 0;
    }

    .artigos-relacionados .swiper-button-next{
        right: 0;
    }

      .swiper:not(.mySwiperBannerCentral):not(.ar-swiper) .swiper-slide {
        /* width: calc(100vw - 32px) !important; */
        margin-left: auto;
        margin-right: auto;
    }


     /* Card Vintiun ocupa largura total no mobile */
     .card-vintiun {
         max-width: calc(100% - 24px);
         left: 12px;
         right: 12px;
     }

     .produtos-personalizaveis-grid .row {
         display: flex;
         gap: 20px;
     }

     .row-slider {
         margin-left: 0;
     }

     .ultimas-noticias {
         display: flex;
         gap: 100px;
         margin-bottom: 80px;
     }

     .row-slider{
        margin-bottom: 32px;
     }


    #mySwiperBannerCentral .swiper-slide {
        height: 400px;
    }

    .noticia-title {
        opacity: 1;
        transform: translateY(0);
    }

    .ver-noticia-btn {
        opacity: 1;
        pointer-events: auto;
    }

  

 }